Loading...
Searching...
No Matches
types.h File Reference
`#include <chrono>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include "mqtt/reason_code.h"`

Go to the source code of this file.

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::byte = uint8_t
using | mqtt::string = std::string
using | mqtt::binary = std::string
using | mqtt::string_ptr = std::shared_ptr<const string>
using | mqtt::binary_ptr = std::shared_ptr<const binary>

## Functions

template<class Rep, class Period>
std::chrono::seconds | mqtt::to_seconds (const std::chrono::duration< Rep, Period > &dur)
template<class Rep, class Period>
long | mqtt::to_seconds_count (const std::chrono::duration< Rep, Period > &dur)
template<class Rep, class Period>
std::chrono::milliseconds | mqtt::to_milliseconds (const std::chrono::duration< Rep, Period > &dur)
template<class Rep, class Period>
long | mqtt::to_milliseconds_count (const std::chrono::duration< Rep, Period > &dur)
bool | mqtt::to_bool (int n)
int | mqtt::to_int (bool b)
string | mqtt::to_string (const char *cstr)

## Detailed Description

Basic types and type conversions for the Paho MQTT C++ library.

Date
  May 17, 2015

Author
  Frank Pagliughi